Page MenuHomePhabricator

Create a read-only version of the Offline Library screen
Closed, ResolvedPublic

Description

Sideloading-only version of the Offline Library requires a read-only page to view and manage available article packs.

Mocks
Empty
With packs

Notes:

  • Proposed text on Empty state illustration:
    • Heading = Nothing in your Offline Library
    • Text = “Article packs” in your Offline library are pre-packaged sets of articles for convenient storage on your device, so you can continue reading when offline. Find out more ( <--links to an info page in browser )
QA required []

Details

Related Gerrit Patches:
apps/android/wikipedia : masterAdapt Offline Library screen for sideloading.

Event Timeline

RHo created this task.Oct 26 2017, 1:51 PM
RHo updated the task description. (Show Details)Oct 27 2017, 3:00 PM
RHo updated the task description. (Show Details)Oct 27 2017, 4:15 PM

Change 387812 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] Adapt Offline Library screen for sideloading.

https://gerrit.wikimedia.org/r/387812

Change 387812 merged by jenkins-bot:
[apps/android/wikipedia@master] Adapt Offline Library screen for sideloading.

https://gerrit.wikimedia.org/r/387812

One nitty UI issue I noted on a Samsung SM-G360F running Android 4.4, it is possible to scroll the page even though it's possible to see all contents without scrolling.

Notice the scroll bar

Kaartic added a comment.EditedNov 11 2017, 10:55 AM

BTW, IIUC it seems the option to download the article packs through the app has been removed and the user has to download them manually, am I correct (or) am I missing something?

RHo added a comment.Nov 13 2017, 12:34 PM

Hi @Kaartic - yes this is correct. Per the epic T177655, initially Offline Library will a side-loading only version, whereby users with ZIM files already will be able to access them when offline in the Wikipedia app.
The decision was made for a few reasons, such as user research indicating the limited content packs available are not compelling to a general audience [1], as well as needing to figuring out issues regarding hosting decisions and associated legal reviews required for the full download-in-app version [2]. Rather than delaying the feature entirely, we are pushing to release it first as an 'easter egg' feature.

[1] Research findings summary: https://www.mediawiki.org/wiki/Wikimedia_Apps/Offline_support/V1_User_research
[2] More information about short and long term decisions: https://www.mediawiki.org/wiki/Wikimedia_Apps/Offline_support

RHo added a comment.Nov 23 2017, 4:57 PM

@Dbrant - Looks good except that none of the thumbnails in the Offline library list view, or images in an article pack details view are shown.

Offline Library list - no thumbs
Bollywood article pack details - no image
Main page for Bollywood article pack - with lead image
RHo added a subscriber: Charlotte.Jan 18 2018, 12:44 PM

hey @Charlotte - currently the 'Find out more' link in the 'Offline Library' page is pointing to https://www.mediawiki.org/wiki/Wikimedia_Apps/Offline_support which seems... not ideal. Is there a more informative page that should be put together that outlines the feature in brief to users with links to where they can download content packs?

LGTM on Moto X 5.1, Wikipedia 2.7.224-alpha-2018-01-17

Empty state
With a content pack
Dbrant closed this task as Resolved.Feb 1 2018, 6:32 PM
RHo added a comment.Feb 7 2018, 4:27 PM

Created a new ticket T186722 >>! In T179067#3909455, @RHo wrote:

hey @Charlotte - currently the 'Find out more' link in the 'Offline Library' page is pointing to https://www.mediawiki.org/wiki/Wikimedia_Apps/Offline_support which seems... not ideal. Is there a more informative page that should be put together that outlines the feature in brief to users with links to where they can download content packs (eg., http://wiki.kiwix.org/wiki/Content_in_all_languages) ?

Hey there - could you please check with Legal for changes here?

RHo added a comment.Feb 7 2018, 5:29 PM

hi @atgo - do you mean copy on the two screens on this task or the copy that will be proposed on the new info page we will link as captured in T186722 ? If the former, this is already on the Beta version of the app.